Name:           python-warn-scraper
Version:        1.2.109
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Command-line interface for downloading WARN Act notices of qualified plant closings and mass layoffs from state government websites

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/biglocalnews/warn-scraper
Source:         %{pypi_source warn_scraper}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'warn-scraper' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-warn-scraper
Summary:        %{summary}

%description -n python3-warn-scraper %_description


%prep
%autosetup -p1 -n warn_scraper-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-warn-scraper -f %{pyproject_files}


%changelog
%autochangelog